// Ten plik jest wymagany przez karma.conf.js i rekurencyjnie wczytuje wszystkie pliki .spec i frameworków.

import 'zone.js/dist/zone-testing';
import { getTestBed } from '@angular/core/testing';
import {
  BrowserDynamicTestingModule,
  platformBrowserDynamicTesting
} from '@angular/platform-browser-dynamic/testing';

declare const require: any;

// Najpierw trzeba zainicjalizować środowisko testowe Angular.
getTestBed().initTestEnvironment(
  BrowserDynamicTestingModule,
  platformBrowserDynamicTesting()
);
// Następnym krokiem jest odszukanie wszystkich testów.
const context = require.context('./', true, /\.spec\.ts$/);
// Na końcu trzeba wczytać moduły.
context.keys().map(context);
